Index: tests/Python/ForceAnnealing/post/five_carbon_test_no-bondgraph.data
===================================================================
--- tests/Python/ForceAnnealing/post/five_carbon_test_no-bondgraph.data	(revision 90ece9cde4683106df17fffeb197e4d20868c20b)
+++ tests/Python/ForceAnnealing/post/five_carbon_test_no-bondgraph.data	(revision 8450dae3b6ce23db9afb756a259d2605c8f22409)
@@ -31,67 +31,67 @@
 C	5	12.3868	10	10	0	0	0	0.0975274	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.99167	10	10	0	0	0	-0.0302901	0	0	2	0	0	0	
-C	2	7.53443	10	10	0	0	0	0.0621625	0	0	1	3	0	0	
+C	1	5.99318	10	10	0	0	0	-0.0310892	0	0	2	0	0	0	
+C	2	7.53443	10	10	0	0	0	0.0629615	0	0	1	3	0	0	
 C	3	9.19466	10	10	0	0	0	-0.0637606	0	0	2	4	0	0	
-C	4	10.7344	10	10	0	0	0	0.0622101	0	0	3	5	0	0	
-C	5	12.3917	10	10	0	0	0	-0.0303219	0	0	4	0	0	0	
+C	4	10.7344	10	10	0	0	0	0.0630038	0	0	3	5	0	0	
+C	5	12.3932	10	10	0	0	0	-0.0311156	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.99092	10	10	0	0	0	-0.00303219	0	0	2	0	0	0	
-C	2	7.58519	10	10	0	0	0	0.000820225	0	0	1	3	0	0	
-C	3	9.18101	10	10	0	0	0	0.00442921	0	0	2	4	0	0	
-C	4	10.7852	10	10	0	0	0	0.000799058	0	0	3	5	0	0	
-C	5	12.3909	10	10	0	0	0	-0.00301631	0	0	4	0	0	0	
+C	1	5.99164	10	10	0	0	0	-0.00314331	0	0	2	0	0	0	
+C	2	7.5857	10	10	0	0	0	0.000661472	0	0	1	3	0	0	
+C	3	9.18101	10	10	0	0	0	0.00496368	0	0	2	4	0	0	
+C	4	10.7857	10	10	0	0	0	0.000640304	0	0	3	5	0	0	
+C	5	12.3916	10	10	0	0	0	-0.00312215	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.99083	10	10	0	0	0	-0.00263001	0	0	2	0	0	0	
-C	2	7.58586	10	10	0	0	0	8.99601e-05	0	0	1	3	0	0	
-C	3	9.18106	10	10	0	0	0	0.00510127	0	0	2	4	0	0	
-C	4	10.7859	10	10	0	0	0	3.17506e-05	0	0	3	5	0	0	
-C	5	12.3908	10	10	0	0	0	-0.00259297	0	0	4	0	0	0	
+C	1	5.99146	10	10	0	0	0	-0.00276231	0	0	2	0	0	0	
+C	2	7.58624	10	10	0	0	0	0.000513302	0	0	1	3	0	0	
+C	3	9.18199	10	10	0	0	0	0.00447684	0	0	2	4	0	0	
+C	4	10.7862	10	10	0	0	0	0.000576803	0	0	3	5	0	0	
+C	5	12.3915	10	10	0	0	0	-0.00280464	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.99028	10	10	0	0	0	-0.00229134	0	0	2	0	0	0	
-C	2	7.58595	10	10	0	0	0	-7.40848e-05	0	0	1	3	0	0	
-C	3	9.18148	10	10	0	0	0	0.00470439	0	0	2	4	0	0	
-C	4	10.7859	10	10	0	0	0	-1.05835e-05	0	0	3	5	0	0	
-C	5	12.3903	10	10	0	0	0	-0.00232838	0	0	4	0	0	0	
+C	1	5.99021	10	10	0	0	0	-0.00110069	0	0	2	0	0	0	
+C	2	7.58813	10	10	0	0	0	0.00265118	0	0	1	3	0	0	
+C	3	9.19106	10	10	0	0	0	-0.00158224	0	0	2	4	0	0	
+C	4	10.791	10	10	0	0	0	-0.000497427	0	0	3	5	0	0	
+C	5	12.39	10	10	0	0	0	0.000529177	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.98655	10	10	0	0	0	-0.000317506	0	0	2	0	0	0	
-C	2	7.58595	10	10	0	0	0	0.000587387	0	0	1	3	0	0	
-C	3	9.18646	10	10	0	0	0	-0.00056622	0	0	2	4	0	0	
-C	4	10.7859	10	10	0	0	0	0.000243422	0	0	3	5	0	0	
-C	5	12.3858	10	10	0	0	0	5.29177e-05	0	0	4	0	0	0	
+C	1	5.98937	10	10	0	0	0	0.000582095	0	0	2	0	0	0	
+C	2	7.59047	10	10	0	0	0	-0.00152403	0	0	1	3	0	0	
+C	3	9.18869	10	10	0	0	0	0.00100015	0	0	2	4	0	0	
+C	4	10.7888	10	10	0	0	0	0.000682639	0	0	3	5	0	0	
+C	5	12.3902	10	10	0	0	0	-0.000740848	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.98596	10	10	0	0	0	-5.29177e-06	0	0	2	0	0	0	
-C	2	7.58595	10	10	0	0	0	0.000275172	0	0	1	3	0	0	
-C	3	9.18646	10	10	0	0	0	-0.00056622	0	0	2	4	0	0	
-C	4	10.7859	10	10	0	0	0	0.000243422	0	0	3	5	0	0	
-C	5	12.3858	10	10	0	0	0	5.29177e-05	0	0	4	0	0	0	
+C	1	5.98966	10	10	0	0	0	-2.64589e-05	0	0	2	0	0	0	
+C	2	7.58961	10	10	0	0	0	2.64589e-05	0	0	1	3	0	0	
+C	3	9.18961	10	10	0	0	0	0.000259297	0	0	2	4	0	0	
+C	4	10.7901	10	10	0	0	0	-0.000259297	0	0	3	5	0	0	
+C	5	12.3901	10	10	0	0	0	0	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.98595	10	10	0	0	0	-9.48677e-21	0	0	2	0	0	0	
-C	2	7.58595	10	10	0	0	0	0.00026988	0	0	1	3	0	0	
-C	3	9.18646	10	10	0	0	0	-0.00056622	0	0	2	4	0	0	
-C	4	10.7859	10	10	0	0	0	0.000243422	0	0	3	5	0	0	
-C	5	12.3858	10	10	0	0	0	5.29177e-05	0	0	4	0	0	0	
+C	1	5.98965	10	10	0	0	0	-1.05835e-05	0	0	2	0	0	0	
+C	2	7.58963	10	10	0	0	0	0.000169337	0	0	1	3	0	0	
+C	3	9.18993	10	10	0	0	0	-0.000280464	0	0	2	4	0	0	
+C	4	10.7897	10	10	0	0	0	0.000333382	0	0	3	5	0	0	
+C	5	12.3901	10	10	0	0	0	-0.000211671	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.98595	10	10	0	0	0	4.23342e-05	0	0	2	0	0	0	
-C	2	7.58603	10	10	0	0	0	0.000185212	0	0	1	3	0	0	
-C	3	9.18646	10	10	0	0	0	-0.000523885	0	0	2	4	0	0	
-C	4	10.7859	10	10	0	0	0	0.000243422	0	0	3	5	0	0	
-C	5	12.3858	10	10	0	0	0	5.29177e-05	0	0	4	0	0	0	
+C	1	5.98964	10	10	0	0	0	1.35525e-21	0	0	2	0	0	0	
+C	2	7.58964	10	10	0	0	0	6.35013e-05	0	0	1	3	0	0	
+C	3	9.18976	10	10	0	0	0	1.05835e-05	0	0	2	4	0	0	
+C	4	10.7899	10	10	0	0	0	-2.11671e-05	0	0	3	5	0	0	
+C	5	12.39	10	10	0	0	0	-5.29177e-05	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.98595	10	10	0	0	0	0.000137586	0	0	2	0	0	0	
-C	2	7.58621	10	10	0	0	0	-1.58753e-05	0	0	1	3	0	0	
-C	3	9.18644	10	10	0	0	0	-0.000407466	0	0	2	4	0	0	
-C	4	10.7859	10	10	0	0	0	0.000232838	0	0	3	5	0	0	
-C	5	12.3858	10	10	0	0	0	5.29177e-05	0	0	4	0	0	0	
+C	1	5.98964	10	10	0	0	0	5.29177e-06	0	0	2	0	0	0	
+C	2	7.58965	10	10	0	0	0	5.82095e-05	0	0	1	3	0	0	
+C	3	9.18977	10	10	0	0	0	5.29177e-06	0	0	2	4	0	0	
+C	4	10.7899	10	10	0	0	0	-1.58753e-05	0	0	3	5	0	0	
+C	5	12.39	10	10	0	0	0	-5.29177e-05	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.98595	10	10	0	0	0	0.000137586	0	0	2	0	0	0	
-C	2	7.58621	10	10	0	0	0	-5.82095e-05	0	0	1	3	0	0	
-C	3	9.18636	10	10	0	0	0	-0.000322798	0	0	2	4	0	0	
-C	4	10.7859	10	10	0	0	0	0.000190504	0	0	3	5	0	0	
-C	5	12.3858	10	10	0	0	0	5.29177e-05	0	0	4	0	0	0	
+C	1	5.98964	10	10	0	0	0	6.8793e-05	0	0	2	0	0	0	
+C	2	7.58977	10	10	0	0	0	-6.8793e-05	0	0	1	3	0	0	
+C	3	9.18977	10	10	0	0	0	6.8793e-05	0	0	2	4	0	0	
+C	4	10.7899	10	10	0	0	0	-1.58753e-05	0	0	3	5	0	0	
+C	5	12.39	10	10	0	0	0	-5.29177e-05	0	0	4	0	0	0	
 # ATOMDATA	type	Id	x=3	u=3	F=3	neighbors=4
-C	1	5.98595	10	10	0	0	0	0	0	0	2	0	0	0	
-C	2	7.58621	10	10	0	0	0	0	0	0	1	3	0	0	
-C	3	9.18607	10	10	0	0	0	0	0	0	2	4	0	0	
-C	4	10.786	10	10	0	0	0	0	0	0	3	5	0	0	
-C	5	12.3858	10	10	0	0	0	0	0	0	4	0	0	0	
+C	1	5.98964	10	10	0	0	0	0	0	0	2	0	0	0	
+C	2	7.58971	10	10	0	0	0	0	0	0	1	3	0	0	
+C	3	9.18978	10	10	0	0	0	0	0	0	2	4	0	0	
+C	4	10.7899	10	10	0	0	0	0	0	0	3	5	0	0	
+C	5	12.39	10	10	0	0	0	0	0	0	4	0	0	0	