Index: src/Parameters/Validators/Specific/BoxLengthValidator.cpp
===================================================================
--- src/Parameters/Validators/Specific/BoxLengthValidator.cpp	(revision 8453b3ae6d0c496d19f44e98134c48a38e3c79da)
+++ src/Parameters/Validators/Specific/BoxLengthValidator.cpp	(revision 8453b3ae6d0c496d19f44e98134c48a38e3c79da)
@@ -0,0 +1,54 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2012 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * BoxLengthValidator.cpp
+ *
+ *  Created on: May 9, 2012
+ *      Author: heber
+ */
+
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include "BoxLengthValidator.hpp"
+
+#include "LinearAlgebra/RealSpaceMatrix.hpp"
+
+#include "Box.hpp"
+#include "World.hpp"
+
+bool BoxLengthValidator::isValid(const double & _value) const
+{
+  const RealSpaceMatrix &M = World::getInstance().getDomain().getM();
+  bool status = true;
+  for (size_t i=0;i<NDIM;++i)
+    status = status && (_value >=0) && (M.column(i).NormSquared() > _value);
+  return status;
+}
+
+bool BoxLengthValidator::operator==(const Validator<double> &_instance) const
+{
+  const BoxLengthValidator *inst =
+      dynamic_cast<const BoxLengthValidator *>(&_instance);
+  if (inst)
+    return true;
+  else
+    return false;
+}
+
+Validator< double >* BoxLengthValidator::clone() const
+{
+  Validator< double > *inst =
+      new BoxLengthValidator();
+  return inst;
+}
Index: src/Parameters/Validators/Specific/BoxLengthValidator.hpp
===================================================================
--- src/Parameters/Validators/Specific/BoxLengthValidator.hpp	(revision 8453b3ae6d0c496d19f44e98134c48a38e3c79da)
+++ src/Parameters/Validators/Specific/BoxLengthValidator.hpp	(revision 8453b3ae6d0c496d19f44e98134c48a38e3c79da)
@@ -0,0 +1,26 @@
+/*
+ * BoxLengthValidator.hpp
+ *
+ *  Created on: May 9, 2012
+ *      Author: heber
+ */
+
+#ifndef BOXLENGTHVALIDATOR_HPP_
+#define BOXLENGTHVALIDATOR_HPP_
+
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "Parameters/Validators/Validator.hpp"
+
+class BoxLengthValidator : public Validator< double >
+{
+  bool isValid(const double & _value) const;
+  bool operator==(const Validator<double> &_instance) const;
+  Validator< double >* clone() const;;
+};
+
+#endif /* BOXLENGTHVALIDATOR_HPP_ */
Index: src/Parameters/Validators/Specific/ElementValidator.hpp
===================================================================
--- src/Parameters/Validators/Specific/ElementValidator.hpp	(revision 8453b3ae6d0c496d19f44e98134c48a38e3c79da)
+++ src/Parameters/Validators/Specific/ElementValidator.hpp	(revision 8453b3ae6d0c496d19f44e98134c48a38e3c79da)
@@ -0,0 +1,25 @@
+/*
+ * ElementValidator.hpp
+ *
+ *  Created on: May 9, 2012
+ *      Author: heber
+ */
+
+#ifndef ELEMENTVALIDATOR_HPP_
+#define ELEMENTVALIDATOR_HPP_
+
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "Parameters/Validators/DummyValidator.hpp"
+
+class element;
+
+class ElementValidator : public DummyValidator<const element *>
+{};
+
+
+#endif /* ELEMENTVALIDATOR_HPP_ */
Index: src/Parameters/Validators/Specific/FilePresentValidator.hpp
===================================================================
--- src/Parameters/Validators/Specific/FilePresentValidator.hpp	(revision 8453b3ae6d0c496d19f44e98134c48a38e3c79da)
+++ src/Parameters/Validators/Specific/FilePresentValidator.hpp	(revision 8453b3ae6d0c496d19f44e98134c48a38e3c79da)
@@ -0,0 +1,46 @@
+/*
+ * FilePresentValidator.hpp
+ *
+ *  Created on: May 9, 2012
+ *      Author: heber
+ */
+
+#ifndef FILEPRESENTVALIDATOR_HPP_
+#define FILEPRESENTVALIDATOR_HPP_
+
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "Parameters/Validators/DummyValidator.hpp"
+
+#include <boost/filesystem.hpp>
+
+class FilePresentValidator : public Validator< boost::filesystem::path >
+{
+  bool isValid(const boost::filesystem::path & _value) const
+  {
+    return boost::filesystem::exists(_value);
+  }
+  bool operator==(const Validator<boost::filesystem::path> &_instance) const
+  {
+    const FilePresentValidator *inst =
+        dynamic_cast<const FilePresentValidator *>(&_instance);
+    if (inst)
+      return true;
+    else
+      return false;
+  }
+
+  Validator< boost::filesystem::path >* clone() const
+  {
+    Validator< boost::filesystem::path > *inst =
+        new FilePresentValidator();
+    return inst;
+  }
+};
+
+
+#endif /* FILEPRESENTVALIDATOR_HPP_ */