Index: src/Actions/GraphAction/SubgraphDissectionAction.cpp
===================================================================
--- src/Actions/GraphAction/SubgraphDissectionAction.cpp	(revision 02504849fae5321dbdba4e3e930f7a9dda6edd06)
+++ src/Actions/GraphAction/SubgraphDissectionAction.cpp	(revision 9317be0fb11b31ce2211407310d3957055993f16)
@@ -93,5 +93,5 @@
   if (mol->getBondCount() == 0) {
     BondGraph *BG = World::getInstance().getBondGraph();
-    molecule::atomVector Set = mol->getAtomSet();
+    World::AtomComposite Set = mol->getAtomSet();
     BG->CreateAdjacency(Set);
 //    if (mol->getBondCount() == 0) {
Index: src/Actions/MoleculeAction/BondFileAction.cpp
===================================================================
--- src/Actions/MoleculeAction/BondFileAction.cpp	(revision 02504849fae5321dbdba4e3e930f7a9dda6edd06)
+++ src/Actions/MoleculeAction/BondFileAction.cpp	(revision 9317be0fb11b31ce2211407310d3957055993f16)
@@ -50,5 +50,5 @@
         << ", adding " << params.id_offset << " to each id.");
     ifstream input(params.bondfile.string().c_str());
-    molecule::atomVector Set = mol->getAtomSet();
+    World::AtomComposite Set = mol->getAtomSet();
     World::getInstance().getBondGraph()->CreateAdjacencyListFromDbondFile(Set, &input, params.skiplines, params.id_offset);
     input.close();
Index: src/Actions/MoleculeAction/FillVoidWithMoleculeAction.cpp
===================================================================
--- src/Actions/MoleculeAction/FillVoidWithMoleculeAction.cpp	(revision 02504849fae5321dbdba4e3e930f7a9dda6edd06)
+++ src/Actions/MoleculeAction/FillVoidWithMoleculeAction.cpp	(revision 9317be0fb11b31ce2211407310d3957055993f16)
@@ -73,5 +73,5 @@
   molecule *filler = World::getInstance().getMolecule(MoleculeByOrder(-1)); // get last molecule
   filler->SetNameFromFilename(params.fillername.string().c_str());
-  molecule::atomVector Set = filler->getAtomSet();
+  World::AtomComposite Set = filler->getAtomSet();
   World::getInstance().getBondGraph()->CreateAdjacency(Set);
 
Index: src/Actions/MoleculeAction/FillWithMoleculeAction.cpp
===================================================================
--- src/Actions/MoleculeAction/FillWithMoleculeAction.cpp	(revision 02504849fae5321dbdba4e3e930f7a9dda6edd06)
+++ src/Actions/MoleculeAction/FillWithMoleculeAction.cpp	(revision 9317be0fb11b31ce2211407310d3957055993f16)
@@ -83,5 +83,5 @@
 //    filler->AddBond(first, third, 1);
 //    filler->AddBond(second, third, 1);
-  molecule::atomVector Set = filler->getAtomSet();
+  World::AtomComposite Set = filler->getAtomSet();
   World::getInstance().getBondGraph()->CreateAdjacency(Set);
 //    filler->SetNameFromFilename("water");
Index: src/Analysis/unittests/AnalysisBondsUnitTest.cpp
===================================================================
--- src/Analysis/unittests/AnalysisBondsUnitTest.cpp	(revision 02504849fae5321dbdba4e3e930f7a9dda6edd06)
+++ src/Analysis/unittests/AnalysisBondsUnitTest.cpp	(revision 9317be0fb11b31ce2211407310d3957055993f16)
@@ -109,5 +109,5 @@
   CPPUNIT_ASSERT_EQUAL( 1.5, BG->GetBondLength(5,5) );
 
-  molecule::atomVector Set = TestMolecule->getAtomSet();
+  World::AtomComposite Set = TestMolecule->getAtomSet();
   BG->CreateAdjacency(Set);
 };
Index: src/Analysis/unittests/CountBondsUnitTest.cpp
===================================================================
--- src/Analysis/unittests/CountBondsUnitTest.cpp	(revision 02504849fae5321dbdba4e3e930f7a9dda6edd06)
+++ src/Analysis/unittests/CountBondsUnitTest.cpp	(revision 9317be0fb11b31ce2211407310d3957055993f16)
@@ -112,8 +112,8 @@
 
   // construct bond graphs
-  molecule::atomVector Set1 = TestMolecule1->getAtomSet();
+  World::AtomComposite Set1 = TestMolecule1->getAtomSet();
   BG->CreateAdjacency(Set1);
   CPPUNIT_ASSERT( TestMolecule1->getBondCount() != 0);
-  molecule::atomVector Set2 = TestMolecule2->getAtomSet();
+  World::AtomComposite Set2 = TestMolecule2->getAtomSet();
   BG->CreateAdjacency(Set2);
   CPPUNIT_ASSERT( TestMolecule2->getBondCount() != 0);
Index: src/Graph/unittests/BondGraphUnitTest.cpp
===================================================================
--- src/Graph/unittests/BondGraphUnitTest.cpp	(revision 02504849fae5321dbdba4e3e930f7a9dda6edd06)
+++ src/Graph/unittests/BondGraphUnitTest.cpp	(revision 9317be0fb11b31ce2211407310d3957055993f16)
@@ -151,5 +151,5 @@
   Runner++;
   CPPUNIT_ASSERT_EQUAL( true , BG->LoadBondLengthTable(test) );
-  molecule::atomVector Set = TestMolecule->getAtomSet();
+  World::AtomComposite Set = TestMolecule->getAtomSet();
   BG->CreateAdjacency(Set);
   CPPUNIT_ASSERT( TestMolecule->getBondCount() != 0);
@@ -163,5 +163,5 @@
 
   CPPUNIT_ASSERT_EQUAL( false , BG->LoadBondLengthTable(dummy) );
-  molecule::atomVector Set = TestMolecule->getAtomSet();
+  World::AtomComposite Set = TestMolecule->getAtomSet();
   BG->CreateAdjacency(Set);
   CPPUNIT_ASSERT( TestMolecule->getBondCount() != 0);
Index: src/molecule.cpp
===================================================================
--- src/molecule.cpp	(revision 02504849fae5321dbdba4e3e930f7a9dda6edd06)
+++ src/molecule.cpp	(revision 9317be0fb11b31ce2211407310d3957055993f16)
@@ -233,7 +233,7 @@
 }
 
-molecule::atomVector molecule::getAtomSet() const
-{
-  atomVector vector_of_atoms;
+World::AtomComposite molecule::getAtomSet() const
+{
+  World::AtomComposite vector_of_atoms;
   BOOST_FOREACH(atom *_atom, atoms)
     vector_of_atoms.push_back(_atom);
Index: src/molecule.hpp
===================================================================
--- src/molecule.hpp	(revision 02504849fae5321dbdba4e3e930f7a9dda6edd06)
+++ src/molecule.hpp	(revision 9317be0fb11b31ce2211407310d3957055993f16)
@@ -69,5 +69,4 @@
 public:
   typedef ATOMSET(std::list) atomSet;
-  typedef ATOMSET(std::vector) atomVector;
   typedef std::set<atomId_t> atomIdSet;
   typedef ObservedIterator<atomSet> iterator;
@@ -125,5 +124,5 @@
   virtual bool changeId(atomId_t newId);
 
-  atomVector getAtomSet() const;
+  World::AtomComposite getAtomSet() const;
 
   iterator begin();
Index: src/molecule_fragmentation.cpp
===================================================================
--- src/molecule_fragmentation.cpp	(revision 02504849fae5321dbdba4e3e930f7a9dda6edd06)
+++ src/molecule_fragmentation.cpp	(revision 9317be0fb11b31ce2211407310d3957055993f16)
@@ -681,5 +681,5 @@
       ++iter) {
     // correct bond degree
-    molecule::atomVector Set = (*iter)->getAtomSet();
+    World::AtomComposite Set = (*iter)->getAtomSet();
     World::getInstance().getBondGraph()->CorrectBondDegree(Set);
   }