Index: data/icons/icon_view_stereo.svg
===================================================================
--- data/icons/icon_view_stereo.svg	(revision 9765fde1e805cda1de4707929f7fcb51488a1ba5)
+++ data/icons/icon_view_stereo.svg	(revision 9765fde1e805cda1de4707929f7fcb51488a1ba5)
@@ -0,0 +1,273 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<!-- Created with Inkscape (http://www.inkscape.org/) -->
+
+<svg
+   xmlns:dc="http://purl.org/dc/elements/1.1/"
+   xmlns:cc="http://creativecommons.org/ns#"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:svg="http://www.w3.org/2000/svg"
+   xmlns="http://www.w3.org/2000/svg"
+   xmlns:xlink="http://www.w3.org/1999/xlink"
+   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
+   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+   width="24"
+   height="24"
+   id="svg2"
+   version="1.1"
+   inkscape:version="0.47 r22583"
+   sodipodi:docname="icon_view_stereo.svg">
+  <defs
+     id="defs4">
+    <linearGradient
+       id="linearGradient3740">
+      <stop
+         style="stop-color:#3f3f3f;stop-opacity:1;"
+         offset="0"
+         id="stop3742" />
+      <stop
+         style="stop-color:#a3a3a3;stop-opacity:1;"
+         offset="1"
+         id="stop3744" />
+    </linearGradient>
+    <linearGradient
+       id="linearGradient3720">
+      <stop
+         id="stop3722"
+         offset="0"
+         style="stop-color:#e6d7d7;stop-opacity:1;" />
+      <stop
+         style="stop-color:#c98e8e;stop-opacity:1;"
+         offset="0.3125"
+         id="stop3724" />
+      <stop
+         id="stop3726"
+         offset="0.75"
+         style="stop-color:#a76868;stop-opacity:1;" />
+      <stop
+         id="stop3728"
+         offset="1"
+         style="stop-color:#813737;stop-opacity:1;" />
+    </linearGradient>
+    <linearGradient
+       id="linearGradient3604">
+      <stop
+         style="stop-color:#dcd7e6;stop-opacity:1;"
+         offset="0"
+         id="stop3606" />
+      <stop
+         id="stop3641"
+         offset="0.3125"
+         style="stop-color:#9c8ec9;stop-opacity:1;" />
+      <stop
+         style="stop-color:#7668a7;stop-opacity:1;"
+         offset="0.75"
+         id="stop3643" />
+      <stop
+         style="stop-color:#473781;stop-opacity:1;"
+         offset="1"
+         id="stop3608" />
+    </linearGradient>
+    <inkscape:perspective
+       sodipodi:type="inkscape:persp3d"
+       inkscape:vp_x="0 : 526.18109 : 1"
+       inkscape:vp_y="0 : 1000 : 0"
+       inkscape:vp_z="744.09448 : 526.18109 : 1"
+       inkscape:persp3d-origin="372.04724 : 350.78739 : 1"
+       id="perspective10" />
+    <inkscape:perspective
+       id="perspective3653"
+       inkscape:persp3d-origin="0.5 : 0.33333333 : 1"
+       inkscape:vp_z="1 : 0.5 : 1"
+       inkscape:vp_y="0 : 1000 : 0"
+       inkscape:vp_x="0 : 0.5 : 1"
+       sodipodi:type="inkscape:persp3d" />
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient3604-6"
+       id="linearGradient3639-0"
+       x1="9.6474047"
+       y1="9.461359"
+       x2="6.537642"
+       y2="12.858177"
+       gradientUnits="userSpaceOnUse" />
+    <linearGradient
+       id="linearGradient3604-6">
+      <stop
+         style="stop-color:#dcd7e6;stop-opacity:1;"
+         offset="0"
+         id="stop3606-7" />
+      <stop
+         id="stop3641-5"
+         offset="0.3125"
+         style="stop-color:#9c8ec9;stop-opacity:1;" />
+      <stop
+         style="stop-color:#7668a7;stop-opacity:1;"
+         offset="0.75"
+         id="stop3643-6" />
+      <stop
+         style="stop-color:#473781;stop-opacity:1;"
+         offset="1"
+         id="stop3608-2" />
+    </linearGradient>
+    <inkscape:perspective
+       id="perspective3653-9"
+       inkscape:persp3d-origin="0.5 : 0.33333333 : 1"
+       inkscape:vp_z="1 : 0.5 : 1"
+       inkscape:vp_y="0 : 1000 : 0"
+       inkscape:vp_x="0 : 0.5 : 1"
+       sodipodi:type="inkscape:persp3d" />
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient3604-2"
+       id="linearGradient3639-5"
+       x1="9.6474047"
+       y1="9.461359"
+       x2="6.537642"
+       y2="12.858177"
+       gradientUnits="userSpaceOnUse" />
+    <linearGradient
+       id="linearGradient3604-2">
+      <stop
+         style="stop-color:#dcd7e6;stop-opacity:1;"
+         offset="0"
+         id="stop3606-73" />
+      <stop
+         id="stop3641-4"
+         offset="0.3125"
+         style="stop-color:#9c8ec9;stop-opacity:1;" />
+      <stop
+         style="stop-color:#7668a7;stop-opacity:1;"
+         offset="0.75"
+         id="stop3643-5" />
+      <stop
+         style="stop-color:#473781;stop-opacity:1;"
+         offset="1"
+         id="stop3608-4" />
+    </linearGradient>
+    <inkscape:perspective
+       id="perspective3775"
+       inkscape:persp3d-origin="0.5 : 0.33333333 : 1"
+       inkscape:vp_z="1 : 0.5 : 1"
+       inkscape:vp_y="0 : 1000 : 0"
+       inkscape:vp_x="0 : 0.5 : 1"
+       sodipodi:type="inkscape:persp3d" />
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient3740-8"
+       id="linearGradient3746-8"
+       x1="6.2284374"
+       y1="11.468871"
+       x2="7.4359326"
+       y2="12.179296"
+       gradientUnits="userSpaceOnUse" />
+    <linearGradient
+       id="linearGradient3740-8">
+      <stop
+         style="stop-color:#3f3f3f;stop-opacity:1;"
+         offset="0"
+         id="stop3742-8" />
+      <stop
+         style="stop-color:#a3a3a3;stop-opacity:1;"
+         offset="1"
+         id="stop3744-6" />
+    </linearGradient>
+    <inkscape:perspective
+       id="perspective3816"
+       inkscape:persp3d-origin="0.5 : 0.33333333 : 1"
+       inkscape:vp_z="1 : 0.5 : 1"
+       inkscape:vp_y="0 : 1000 : 0"
+       inkscape:vp_x="0 : 0.5 : 1"
+       sodipodi:type="inkscape:persp3d" />
+    <inkscape:perspective
+       id="perspective3683"
+       inkscape:persp3d-origin="0.5 : 0.33333333 : 1"
+       inkscape:vp_z="1 : 0.5 : 1"
+       inkscape:vp_y="0 : 1000 : 0"
+       inkscape:vp_x="0 : 0.5 : 1"
+       sodipodi:type="inkscape:persp3d" />
+  </defs>
+  <sodipodi:namedview
+     id="base"
+     pagecolor="#ffffff"
+     bordercolor="#666666"
+     borderopacity="1.0"
+     inkscape:pageopacity="0.0"
+     inkscape:pageshadow="2"
+     inkscape:zoom="15.84"
+     inkscape:cx="11.902895"
+     inkscape:cy="15.185622"
+     inkscape:document-units="px"
+     inkscape:current-layer="layer5"
+     showgrid="false"
+     inkscape:window-width="1019"
+     inkscape:window-height="917"
+     inkscape:window-x="660"
+     inkscape:window-y="24"
+     inkscape:window-maximized="0" />
+  <metadata
+     id="metadata7">
+    <rdf:RDF>
+      <cc:Work
+         rdf:about="">
+        <dc:format>image/svg+xml</dc:format>
+        <dc:type
+           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
+        <dc:title></dc:title>
+      </cc:Work>
+    </rdf:RDF>
+  </metadata>
+  <g
+     inkscape:groupmode="layer"
+     id="layer5"
+     inkscape:label="Layer#3">
+    <path
+       style="fill:#b4cce1;fill-opacity:1;stroke:#696969;stroke-width:0.54524279;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none"
+       d="M 3.3990142,11.891026 0.84988795,4.3503366 0.67100193,9.4585453 1.0734955,10.553162 1.3865461,8.0598694 3.3542926,13.472138"
+       id="path3673" />
+    <path
+       style="fill:#b4cce1;fill-opacity:1;stroke:#696969;stroke-width:0.573;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none"
+       d="M 22.790841,8.5645132 16.005995,1.2950925 15.529866,6.2195383 16.601158,7.2747772 17.434384,4.8711784 22.67181,10.088746"
+       id="path3673-2" />
+  </g>
+  <g
+     inkscape:label="Layer 1"
+     inkscape:groupmode="layer"
+     id="layer1"
+     transform="translate(0,-1028.3622)"
+     style="display:inline">
+    <path
+       style="fill:#b4cce1;fill-opacity:1;stroke:none"
+       d="m 3.6011699,1045.861 -0.1936919,-5.5707 19.661833,-3.4142 0.216808,6.1196 -7.485255,1.6188 -0.999578,-1.629 -1.207591,-0.9841 -0.227193,0.1673 -0.641021,1.4223 -0.595842,1.8496 -4.1485762,0.4055 -4.4594467,1.0822 0.3935001,-1.1877 -0.3139463,0.1204 z m 4.2277714,-0.8648 2.2949777,-0.5333 0.549405,-0.8548 0.671816,-0.7779 0.376189,-1.1688 -0.543004,-1.3688 -3.0980408,0.4013 -3.1237837,0.527 0.1363732,1.257 0.051083,2.6916 0.1328629,0.1407 2.5521222,-0.314 z m 11.3334627,-2.1589 2.472703,-0.7336 -0.227232,-0.2104 0.272194,-1.3923 -0.141489,-2.1928 -3.229273,0.4119 -3.024206,0.7565 -0.615483,1.0964 0.157083,1.3671 1.523085,1.219 0.294186,0.051 2.581222,-0.1313 -0.06278,-0.2407 z"
+       id="path3670"
+       sodipodi:nodetypes="ccccccccccccccccccccccccccccccccccccccc" />
+  </g>
+  <g
+     inkscape:groupmode="layer"
+     id="layer3"
+     inkscape:label="Layer#1">
+    <path
+       style="fill:none;stroke:#525252;stroke-width:0.64260513;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none"
+       d="m 3.350333,11.799059 0.251157,6.918736 8.413761,-1.684561 1.381363,-3.48945 2.385993,2.767495 7.534711,-1.564237 L 23.12895,8.4299341 3.350333,11.799059 z"
+       id="path3664"
+       sodipodi:nodetypes="cccccccc" />
+    <path
+       style="fill:#f15858;fill-opacity:1;stroke:#575757;stroke-width:0.64260513;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none"
+       d="m 4.9828472,12.821829 6.3417228,-1.143096 0.06279,2.647169 -1.067417,1.744725 -5.2115089,0.962607 -0.1255783,-4.211405 z"
+       id="path3666"
+       sodipodi:nodetypes="cccccc" />
+    <path
+       style="fill:#57b648;fill-opacity:1;stroke:#626262;stroke-width:0.64260513;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none"
+       d="m 14.966349,11.016941 6.655658,-1.2032595 0.125572,4.0309175 -5.274298,1.082932 -1.381364,-1.564237 -0.125572,-2.346353 z"
+       id="path3668"
+       sodipodi:nodetypes="cccccc" />
+  </g>
+  <g
+     inkscape:groupmode="layer"
+     id="layer2"
+     inkscape:label="Layer"
+     style="display:inline" />
+  <g
+     inkscape:groupmode="layer"
+     id="layer4"
+     inkscape:label="Layer#2" />
+</svg>