Index: src/UIElements/CommandLineUI/CommandLineDialog.cpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineDialog.cpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
+++ src/UIElements/CommandLineUI/CommandLineDialog.cpp	(revision 12948c2ccfa9172ddcc2b58e9905c238b969ea5d)
@@ -50,4 +50,8 @@
 void CommandLineDialog::queryUnsignedInt(const char* title, string _description){
   registerQuery(new UnsignedIntCommandLineQuery(title, _description));
+}
+
+void CommandLineDialog::queryUnsignedInts(const char* title, string _description){
+  registerQuery(new UnsignedIntsCommandLineQuery(title, _description));
 }
 
Index: src/UIElements/CommandLineUI/CommandLineDialog.hpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineDialog.hpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
+++ src/UIElements/CommandLineUI/CommandLineDialog.hpp	(revision 12948c2ccfa9172ddcc2b58e9905c238b969ea5d)
@@ -37,4 +37,5 @@
   virtual void queryInts(const char *, std::string = "");
   virtual void queryUnsignedInt(const char *, std::string = "");
+  virtual void queryUnsignedInts(const char *, std::string = "");
   virtual void queryBoolean(const char *, std::string = "");
   virtual void queryString(const char*, std::string = "");
@@ -74,4 +75,5 @@
   class StringsCommandLineQuery;
   class UnsignedIntCommandLineQuery;
+  class UnsignedIntsCommandLineQuery;
   class VectorCommandLineQuery;
   class VectorsCommandLineQuery;
Index: src/UIElements/CommandLineUI/CommandLineParser.cpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineParser.cpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
+++ src/UIElements/CommandLineUI/CommandLineParser.cpp	(revision 12948c2ccfa9172ddcc2b58e9905c238b969ea5d)
@@ -240,4 +240,13 @@
                   po::value < unsigned int >()->default_value(boost::lexical_cast<unsigned int>(currentOption->getDefaultValue().c_str())) :
                   po::value < unsigned int >(),
+                  currentOption->getDescription().c_str())
+        ;
+      break;
+    case TypeEnumContainer::ListOfUnsignedIntegersType:
+      OptionList->add_options()
+        (currentOption->getKeyAndShortForm().c_str(),
+//            currentOption->hasDefaultValue() ?
+//                  po::value < std::vector<unsigned int> >()->default_value(boost::lexical_cast< std::vector<unsigned int> >(currentOption->getDefaultValue().c_str())) :
+                  po::value < std::vector<unsigned int> >()->multitoken(),
                   currentOption->getDescription().c_str())
         ;
Index: src/UIElements/CommandLineUI/Query/CommandLineQuery.hpp
===================================================================
--- src/UIElements/CommandLineUI/Query/CommandLineQuery.hpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
+++ src/UIElements/CommandLineUI/Query/CommandLineQuery.hpp	(revision 12948c2ccfa9172ddcc2b58e9905c238b969ea5d)
@@ -42,4 +42,11 @@
   UnsignedIntCommandLineQuery(std::string title, std::string _description = "");
   virtual ~UnsignedIntCommandLineQuery();
+  virtual bool handle();
+};
+
+class CommandLineDialog::UnsignedIntsCommandLineQuery : public Dialog::UnsignedIntsQuery {
+public:
+  UnsignedIntsCommandLineQuery(std::string title, std::string _description = "");
+  virtual ~UnsignedIntsCommandLineQuery();
   virtual bool handle();
 };
Index: src/UIElements/CommandLineUI/Query/UnsignedIntsCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/UnsignedIntsCommandLineQuery.cpp	(revision 12948c2ccfa9172ddcc2b58e9905c238b969ea5d)
+++ src/UIElements/CommandLineUI/Query/UnsignedIntsCommandLineQuery.cpp	(revision 12948c2ccfa9172ddcc2b58e9905c238b969ea5d)
@@ -0,0 +1,42 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * UnsignedIntsCommandLineQuery.cpp
+ *
+ *  Created on: Oct 25, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include "CommandLineUI/Query/CommandLineQuery.hpp"
+#include "CommandLineUI/CommandLineParser.hpp"
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
+
+CommandLineDialog::UnsignedIntsCommandLineQuery::UnsignedIntsCommandLineQuery(string title, string _description) :
+    Dialog::UnsignedIntsQuery(title, _description)
+{}
+
+CommandLineDialog::UnsignedIntsCommandLineQuery::~UnsignedIntsCommandLineQuery() {}
+
+bool CommandLineDialog::UnsignedIntsCommandLineQuery::handle() {
+  if (CommandLineParser::getInstance().vm.count(getTitle())) {
+    tmp = CommandLineParser::getInstance().vm[getTitle()].as< std::vector<unsigned int> >();
+    return true;
+  } else {
+    DoeLog(1) && (eLog() << Verbose(1) << "CommandLineUI parsing error: Missing integers for " << getTitle() << "." << endl);
+    return false;
+  }
+}
+
Index: src/UIElements/CommandLineUI/TypeEnumContainer.cpp
===================================================================
--- src/UIElements/CommandLineUI/TypeEnumContainer.cpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
+++ src/UIElements/CommandLineUI/TypeEnumContainer.cpp	(revision 12948c2ccfa9172ddcc2b58e9905c238b969ea5d)
@@ -53,4 +53,5 @@
   TypeEnumMap[&typeid(std::vector<int>)] = ListOfIntegersType;
   TypeEnumMap[&typeid(unsigned int)] = UnsignedIntegerType;
+  TypeEnumMap[&typeid(std::vector<unsigned int>)] = ListOfUnsignedIntegersType;
   TypeEnumMap[&typeid(double)] = DoubleType;
   TypeEnumMap[&typeid(std::vector<double>)] = ListOfDoublesType;
Index: src/UIElements/CommandLineUI/TypeEnumContainer.hpp
===================================================================
--- src/UIElements/CommandLineUI/TypeEnumContainer.hpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
+++ src/UIElements/CommandLineUI/TypeEnumContainer.hpp	(revision 12948c2ccfa9172ddcc2b58e9905c238b969ea5d)
@@ -34,4 +34,5 @@
         ListOfIntegersType,
         UnsignedIntegerType,
+        ListOfUnsignedIntegersType,
         DoubleType,
         ListOfDoublesType,