Index: ThirdParty/mpqc_open/src/lib/chemistry/qc/oint3/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/chemistry/qc/oint3/Makefile.am	(revision 00f9833f8d74abc94e5b207e00780988a1a0525b)
+++ ThirdParty/mpqc_open/src/lib/chemistry/qc/oint3/Makefile.am	(revision 23612c4cde38aab3441a98c997aecb0159a80970)
@@ -1,7 +1,117 @@
 LIBSCOINT3SOURCES = \
-		build.cc i0100AB.cc i0100.cc i0101AB.cc i0101.cc i0111AB.cc i0111.cc i0200AB.cc i0200.cc i0201AB.cc i0201.cc i0202AB.cc i0202.cc i0211AB.cc i0211.cc i0212AB.cc i0212.cc i0222AB.cc i0222.cc i0300AB.cc i0300.cc i0301AB.cc i0301.cc i0302AB.cc i0302.cc i0303AB.cc i0303.cc i0311AB.cc i0311.cc i0312AB.cc i0312.cc i0313AB.cc i0313.cc i0322AB.cc i0322.cc i0323AB.cc i0323.cc i0333AB.cc i0333.cc i1100AB.cc i1100.cc i1111AB.cc i1111.cc i1200AB.cc i1200.cc i1201AB.cc i1201.cc i1211AB.cc i1211.cc i1212AB.cc i1212.cc i1222AB.cc i1222.cc i1300AB.cc i1300.cc i1301AB.cc i1301.cc i1302AB.cc i1302.cc i1311AB.cc i1311.cc i1312AB.cc i1312.cc i1313AB.cc i1313.cc i1322AB.cc i1322.cc i1323AB.cc i1323.cc i1333AB.cc i1333.cc i2200AB.cc i2200.cc i2201AB.cc i2201.cc i2211AB.cc i2211.cc i2222AB.cc i2222.cc i2300AB.cc i2300.cc i2301AB.cc i2301.cc i2302AB.cc i2302.cc i2311AB.cc i2311.cc i2312AB.cc i2312.cc i2322AB.cc i2322.cc i2323AB.cc i2323.cc i2333AB.cc i2333.cc i3300AB.cc i3300.cc i3301AB.cc i3301.cc i3302AB.cc i3302.cc i3311AB.cc i3311.cc i3312AB.cc i3312.cc i3322AB.cc i3322.cc i3333AB.cc i3333.cc
+	chemistry/qc/oint3/build.cc \
+	chemistry/qc/oint3/i0100AB.cc \
+	chemistry/qc/oint3/i0100.cc \
+	chemistry/qc/oint3/i0101AB.cc \
+	chemistry/qc/oint3/i0101.cc \
+	chemistry/qc/oint3/i0111AB.cc \
+	chemistry/qc/oint3/i0111.cc \
+	chemistry/qc/oint3/i0200AB.cc \
+	chemistry/qc/oint3/i0200.cc \
+	chemistry/qc/oint3/i0201AB.cc \
+	chemistry/qc/oint3/i0201.cc \
+	chemistry/qc/oint3/i0202AB.cc \
+	chemistry/qc/oint3/i0202.cc \
+	chemistry/qc/oint3/i0211AB.cc \
+	chemistry/qc/oint3/i0211.cc \
+	chemistry/qc/oint3/i0212AB.cc \
+	chemistry/qc/oint3/i0212.cc \
+	chemistry/qc/oint3/i0222AB.cc \
+	chemistry/qc/oint3/i0222.cc \
+	chemistry/qc/oint3/i0300AB.cc \
+	chemistry/qc/oint3/i0300.cc \
+	chemistry/qc/oint3/i0301AB.cc \
+	chemistry/qc/oint3/i0301.cc \
+	chemistry/qc/oint3/i0302AB.cc \
+	chemistry/qc/oint3/i0302.cc \
+	chemistry/qc/oint3/i0303AB.cc \
+	chemistry/qc/oint3/i0303.cc \
+	chemistry/qc/oint3/i0311AB.cc \
+	chemistry/qc/oint3/i0311.cc \
+	chemistry/qc/oint3/i0312AB.cc \
+	chemistry/qc/oint3/i0312.cc \
+	chemistry/qc/oint3/i0313AB.cc \
+	chemistry/qc/oint3/i0313.cc \
+	chemistry/qc/oint3/i0322AB.cc \
+	chemistry/qc/oint3/i0322.cc \
+	chemistry/qc/oint3/i0323AB.cc \
+	chemistry/qc/oint3/i0323.cc \
+	chemistry/qc/oint3/i0333AB.cc \
+	chemistry/qc/oint3/i0333.cc \
+	chemistry/qc/oint3/i1100AB.cc \
+	chemistry/qc/oint3/i1100.cc \
+	chemistry/qc/oint3/i1111AB.cc \
+	chemistry/qc/oint3/i1111.cc \
+	chemistry/qc/oint3/i1200AB.cc \
+	chemistry/qc/oint3/i1200.cc \
+	chemistry/qc/oint3/i1201AB.cc \
+	chemistry/qc/oint3/i1201.cc \
+	chemistry/qc/oint3/i1211AB.cc \
+	chemistry/qc/oint3/i1211.cc \
+	chemistry/qc/oint3/i1212AB.cc \
+	chemistry/qc/oint3/i1212.cc \
+	chemistry/qc/oint3/i1222AB.cc \
+	chemistry/qc/oint3/i1222.cc \
+	chemistry/qc/oint3/i1300AB.cc \
+	chemistry/qc/oint3/i1300.cc \
+	chemistry/qc/oint3/i1301AB.cc \
+	chemistry/qc/oint3/i1301.cc \
+	chemistry/qc/oint3/i1302AB.cc \
+	chemistry/qc/oint3/i1302.cc \
+	chemistry/qc/oint3/i1311AB.cc \
+	chemistry/qc/oint3/i1311.cc \
+	chemistry/qc/oint3/i1312AB.cc \
+	chemistry/qc/oint3/i1312.cc \
+	chemistry/qc/oint3/i1313AB.cc \
+	chemistry/qc/oint3/i1313.cc \
+	chemistry/qc/oint3/i1322AB.cc \
+	chemistry/qc/oint3/i1322.cc \
+	chemistry/qc/oint3/i1323AB.cc \
+	chemistry/qc/oint3/i1323.cc \
+	chemistry/qc/oint3/i1333AB.cc \
+	chemistry/qc/oint3/i1333.cc \
+	chemistry/qc/oint3/i2200AB.cc \
+	chemistry/qc/oint3/i2200.cc \
+	chemistry/qc/oint3/i2201AB.cc \
+	chemistry/qc/oint3/i2201.cc \
+	chemistry/qc/oint3/i2211AB.cc \
+	chemistry/qc/oint3/i2211.cc \
+	chemistry/qc/oint3/i2222AB.cc \
+	chemistry/qc/oint3/i2222.cc \
+	chemistry/qc/oint3/i2300AB.cc \
+	chemistry/qc/oint3/i2300.cc \
+	chemistry/qc/oint3/i2301AB.cc \
+	chemistry/qc/oint3/i2301.cc \
+	chemistry/qc/oint3/i2302AB.cc \
+	chemistry/qc/oint3/i2302.cc \
+	chemistry/qc/oint3/i2311AB.cc \
+	chemistry/qc/oint3/i2311.cc \
+	chemistry/qc/oint3/i2312AB.cc \
+	chemistry/qc/oint3/i2312.cc \
+	chemistry/qc/oint3/i2322AB.cc \
+	chemistry/qc/oint3/i2322.cc \
+	chemistry/qc/oint3/i2323AB.cc \
+	chemistry/qc/oint3/i2323.cc \
+	chemistry/qc/oint3/i2333AB.cc \
+	chemistry/qc/oint3/i2333.cc \
+	chemistry/qc/oint3/i3300AB.cc \
+	chemistry/qc/oint3/i3300.cc \
+	chemistry/qc/oint3/i3301AB.cc \
+	chemistry/qc/oint3/i3301.cc \
+	chemistry/qc/oint3/i3302AB.cc \
+	chemistry/qc/oint3/i3302.cc \
+	chemistry/qc/oint3/i3311AB.cc \
+	chemistry/qc/oint3/i3311.cc \
+	chemistry/qc/oint3/i3312AB.cc \
+	chemistry/qc/oint3/i3312.cc \
+	chemistry/qc/oint3/i3322AB.cc \
+	chemistry/qc/oint3/i3322.cc \
+	chemistry/qc/oint3/i3333AB.cc \
+	chemistry/qc/oint3/i3333.cc
+
 
 LIBSCOINT3HEADERS = \
-		build.h LIBS.h
+	chemistry/qc/oint3/build.h
+
 
 lib_LTLIBRARIES +=
@@ -43,2 +153,3 @@
 #nodist_libSCoint3_libinclude_HEADERS = $(top_builddir)/src/lib/scconfig.h
 
+